# Filter2DActuator(Actuator)

base classes — `bpy_struct`, `Actuator`

class `bpy.types.``Filter2DActuator`(Actuator)

  Actuator to apply screen graphic effects

  `filter_pass`

    Set filter order

    Type: | int in [0, 99], default 0

  `glsl_shader`

    Type: | `Text`

  `mode`

    Type: | enum in [‘ENABLE’, ‘DISABLE’, ‘REMOVE’, ‘MOTIONBLUR’, ‘BLUR’, ‘SHARPEN’, ‘DILATION’, ‘EROSION’, ‘LAPLACIAN’, ‘SOBEL’, ‘PREWITT’, ‘GRAYSCALE’, ‘SEPIA’, ‘INVERT’, ‘CUSTOMFILTER’], default ‘REMOVE’

  `motion_blur_factor`

    Motion blur factor

    Type: | float in [0, 1], default 0.0

  `use_motion_blur`

    Enable/Disable Motion Blur

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Actuator.name` `Actuator.type` | `Actuator.pin` `Actuator.show_expanded` `Actuator.active`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Actuator.link` `Actuator.unlink`